Page MenuHomePhabricator

Elm_Transit: Fix wrong intervention progress value
ClosedPublic

Authored by jsuya on Dec 18 2019, 4:47 AM.

Details

Summary

If progress_value_set is called more than once, an error value occurs.
The intervention progress must use progress that
does not apply the previous intervention progress.

Test Plan

meson_option.txt -> remove json in evas-loaders-disabler option
elementary_test -to "animation view"
Click Play -> Play back -> Play

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
jsuya created this revision.Dec 18 2019, 4:47 AM
jsuya requested review of this revision.Dec 18 2019, 4:47 AM
Hermet requested changes to this revision.EditedDec 18 2019, 11:29 PM

elm_transit_go(t);
elm_transit_progress_value_set(t, 0.7);
elm_transit_progress_value_set(t, 0.7);

Looks in this case animation progress will be broken..??

This revision now requires changes to proceed.Dec 18 2019, 11:29 PM
jsuya updated this revision to Diff 27688.Dec 19 2019, 8:04 PM

Fix to patch
inter_progress must use progress that does not apply the previous inter_progress.

jsuya updated this revision to Diff 27689.Dec 19 2019, 8:05 PM
jsuya edited the summary of this revision. (Show Details)

update message

jsuya updated this revision to Diff 27690.Dec 19 2019, 8:11 PM

clean up patch

jsuya updated this revision to Diff 27691.Dec 19 2019, 8:12 PM

remove empty space

Hermet accepted this revision.Dec 23 2019, 12:38 AM
This revision is now accepted and ready to land.Dec 23 2019, 12:38 AM
This revision was automatically updated to reflect the committed changes.